Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class PoolQuery

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.PoolQuery

public class PoolQuery
extends java.lang.Object

Field Summary
`static java.lang.String` | `cName`

Constructor Summary
`PoolQuery()`

Method Summary
`ItemObject` | `getNextReplyQualifier(int setNumber)` Select one item from the qualifier set for this setNumber.
`java.util.List` | `getNextReplyQualifier(java.util.List qualifiers, int setNumber, int count)` Return null if the count is zero or no more qualifiers exist in the particular set.
`ItemObject` | `getNextReplyTarget(int setNumber)` Select one item from the qualifier set for this setNumber.
`java.util.List` | `getNextReplyTarget(java.util.List targets, int setNumber, int count)` Return null if the count is zero or no more targets exist in the particular set.
`java.util.List` | `getReplyQualifierSets()`
`java.util.List` | `getReplyTargetSets()`
`java.util.List` | `getRequestQualifiers()`
`java.util.List` | `getRequestTargets()`
`boolean` | `isSatisfied()`
`void` | `set(java.util.List requestQualifiers, java.util.List requestTargets)`
`void` | `setIsSatisfied(boolean value)`
`protected void` | `setReplyQualifiers(java.util.List replyQualifierSets, java.util.Set allQualifiers)`
`protected void` | `setReplyTargets(java.util.List replyTargetSets, java.util.Set allTargets)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

Constructor Detail

### PoolQuery

    public PoolQuery()

Method Detail

### set

    public void set(java.util.List requestQualifiers,
                    java.util.List requestTargets)

### setReplyQualifiers

    protected void setReplyQualifiers(java.util.List replyQualifierSets,
                                      java.util.Set allQualifiers)

### setReplyTargets

    protected void setReplyTargets(java.util.List replyTargetSets,
                                   java.util.Set allTargets)

### getRequestQualifiers

    public java.util.List getRequestQualifiers()

  Returns:
    List of QuerySpec objects

### getRequestTargets

    public java.util.List getRequestTargets()

  Returns:
    List of QuerySpec objects

### getReplyQualifierSets

    public java.util.List getReplyQualifierSets()

### getReplyTargetSets

    public java.util.List getReplyTargetSets()

### isSatisfied

    public boolean isSatisfied()

### setIsSatisfied

    public void setIsSatisfied(boolean value)

### getNextReplyQualifier

    public ItemObject getNextReplyQualifier(int setNumber)

  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyTarget

    public ItemObject getNextReplyTarget(int setNumber)

  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyQualifier

    public java.util.List getNextReplyQualifier(java.util.List qualifiers,
                                                int setNumber,
                                                int count)

  Return null if the count is zero or no more qualifiers exist in the particular set. Otherwise populate the list passed in with up to count objects.

### getNextReplyTarget

    public java.util.List getNextReplyTarget(java.util.List targets,
                                             int setNumber,
                                             int count)

  Return null if the count is zero or no more targets exist in the particular set. Otherwise populate the list passed in with up to count objects.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved